.\"	$NetBSD: menu_attributes.3,v 1.9 2003/03/15 23:48:29 wiz Exp $
.\"
.\" Copyright (c) 1999
.\"	Brett Lymn - blymn@baea.com.au, brett_lymn@yahoo.com.au
.\"
.\" This code is donated to The NetBSD Foundation by the author.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the Author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd September 10, 1999
.Dt MENU_ATTRIBUTES 3
.Os
.Sh NAME
.Nm menu_back ,
.Nm menu_fore ,
.Nm menu_grey ,
.Nm menu_pad ,
.Nm set_menu_back ,
.Nm set_menu_fore ,
.Nm set_menu_grey ,
.Nm set_menu_pad
.Nd get and set menu attributes
.Sh LIBRARY
.Lb libmenu
.Sh SYNOPSIS
.In menu.h
.Ft char
.Fn menu_back "MENU *menu"
.Ft char
.Fn menu_fore "MENU *menu"
.Ft char
.Fn menu_grey "MENU *menu"
.Ft int
.Fn menu_pad "MENU *menu"
.Ft int
.Fn set_menu_back "MENU *menu" "char attr"
.Ft int
.Fn set_menu_fore "MENU *menu" "char attr"
.Ft int
.Fn set_menu_grey "MENU *menu" "char attr"
.Ft int
.Fn set_menu_pad "MENU *menu" "int pad"
.Sh DESCRIPTION
The
.Fn menu_back
function returns the value of the background attribute for the menu
passed.
This attribute is set by the
.Fn set_menu_back
call.
The
.Fn menu_fore
function returns the value of the foreground character attribute for
the menu passed.
This attribute is set by the
.Fn set_menu_fore
function.
The
.Fn menu_grey
function returns the value of the grey or unselectable character
attribute for the menu passed.
This attribute is set by the
.Fn set_menu_grey
function.
The
.Fn menu_pad
function returns the padding character that will be used between the
item name and its description.
The value of the pad character is set by the
.Fn set_menu_pad
function.
.Sh RETURN VALUES
The functions return one of the following error values:
.Pp
.Bl -tag -width E_UNKNOWN_COMMAND -compact
.It Er E_OK
The function was successful.
.It Er E_SYSTEM_ERROR
There was a system error during the call.
.It Er E_BAD_ARGUMENT
One or more of the arguments passed to the function was incorrect.
.It Er E_POSTED
The menu is already posted.
.It Er E_CONNECTED
An item was already connected to a menu.
.It Er E_BAD_STATE
The function was called from within an initialization or termination
routine.
.It Er E_NO_ROOM
The menu does not fit within the subwindow.
.It Er E_NOT_POSTED
The menu is not posted.
.It Er E_UNKNOWN_COMMAND
The menu driver does not recognize the request passed to it.
.It Er E_NO_MATCH
The character search failed to find a match.
.It Er E_NOT_SELECTABLE
The item could not be selected.
.It Er E_NOT_CONNECTED
The item is not connected to a menu.
.It Er E_REQUEST_DENIED
The menu driver could not process the request.
.El
.Sh SEE ALSO
.Xr curses 3 ,
.Xr menus 3
.Sh NOTES
The header
.Pa \*[Lt]menu.h\*[Gt]
automatically includes both
.Pa \*[Lt]curses.h\*[Gt]
and
.Pa \*[Lt]eti.h\*[Gt] .
